Debian Bug report logs - #215805
/usr/bin/tack: tack test for dl1 contains a mistake

version graph

Package: ncurses-bin; Maintainer for ncurses-bin is Craig Small <csmall@debian.org>; Source for ncurses-bin is src:ncurses.

Reported by: Jochen Voss <voss@debian.org>

Date: Tue, 14 Oct 2003 20:18:09 UTC

Severity: normal

Tags: patch

Found in version 5.3.20030719-2

Fixed in version ncurses/5.3.20030719-3

Done: Daniel Jacobowitz <dan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#215805; Package ncurses-bin. Full text and rfc822 format available.

Acknowledgement sent to Jochen Voss <voss@debian.org>:
New Bug report received and forwarded. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jochen Voss <voss@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /usr/bin/tack: tack test for dl1 contains a mistake
Date: Tue, 14 Oct 2003 21:16:30 +0100
Package: ncurses-bin
Version: 5.3.20030719-2
Severity: normal
File: /usr/bin/tack

Hello,

I found a bug in the tack terminal description checker.
Lines 1480-1481 of the source file "tack/pad.c" read

        home_down();
        put_str("This line should be on the top.");

Of course this test should always fail: after the 'home_down'
statement the cursor should be at the lower left edge of the screen.
The put_str will then put the text "This line should be on the top."
in the bottom line.

I hope this helps,
Jochen

PS.: Note that there seems to be another bug somewhere,
which hides the problem for xterms and the linux console.
-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux plonk 2.4.21 #1 Fri Oct 10 11:08:09 BST 2003 i686
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro

Versions of packages ncurses-bin depends on:
ii  libc6                     2.3.2-8        GNU C Library: Shared libraries an
ii  libncurses5               5.3.20030719-2 Shared libraries for terminal hand

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#215805; Package ncurses-bin. Full text and rfc822 format available.

Acknowledgement sent to Jochen Voss <voss@seehuhn.de>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #10 received at 215805@bugs.debian.org (full text, mbox):

From: Jochen Voss <voss@seehuhn.de>
To: 215805@bugs.debian.org
Subject: update for the tack problem
Date: Tue, 14 Oct 2003 21:56:28 +0100
[Message part 1 (text/plain, inline)]
Sorry,

I diagnosed the problem wrong in my first mail.
After the text is drawn into the bottom line,
the program tries to delete lines above to move
it into the top line.

The test failed for me, because tack tried to
use the 'dl' property unconditionally, which does
not exist in my terminal description.  It should
have used the 'dl1' property here, which was the
one to be tested.

I append a patch to fix the problem.

I hope this helps,
Jochen
-- 
http://seehuhn.de/
[tack.patch (text/plain, attachment)]

Tags added: patch Request was from Jochen Voss <voss@seehuhn.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#215805; Package ncurses-bin. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #17 received at 215805@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Jochen Voss <voss@seehuhn.de>, 215805@bugs.debian.org
Subject: Re: Bug#215805: update for the tack problem
Date: Sat, 18 Oct 2003 18:38:19 -0400
[Message part 1 (text/plain, inline)]
On Tue, Oct 14, 2003 at 09:56:28PM +0100, Jochen Voss wrote:
> Sorry,
> 
> I diagnosed the problem wrong in my first mail.
> After the text is drawn into the bottom line,
> the program tries to delete lines above to move
> it into the top line.
> 
> The test failed for me, because tack tried to
> use the 'dl' property unconditionally, which does
> not exist in my terminal description.  It should
> have used the 'dl1' property here, which was the
> one to be tested.
> 
> I append a patch to fix the problem.

Here's what I came up with (attached).


-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[x (text/plain, attachment)]

Reply sent to Daniel Jacobowitz <dan@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jochen Voss <voss@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 215805-close@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: 215805-close@bugs.debian.org
Subject: Bug#215805: fixed in ncurses 5.3.20030719-3
Date: Tue, 21 Oct 2003 10:17:32 -0400
Source: ncurses
Source-Version: 5.3.20030719-3

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

libncurses5-dbg_5.3.20030719-3_i386.deb
  to pool/main/n/ncurses/libncurses5-dbg_5.3.20030719-3_i386.deb
libncurses5-dev_5.3.20030719-3_i386.deb
  to pool/main/n/ncurses/libncurses5-dev_5.3.20030719-3_i386.deb
libncurses5_5.3.20030719-3_i386.deb
  to pool/main/n/ncurses/libncurses5_5.3.20030719-3_i386.deb
libncursesw5-dbg_5.3.20030719-3_i386.deb
  to pool/main/n/ncurses/libncursesw5-dbg_5.3.20030719-3_i386.deb
libncursesw5-dev_5.3.20030719-3_i386.deb
  to pool/main/n/ncurses/libncursesw5-dev_5.3.20030719-3_i386.deb
libncursesw5_5.3.20030719-3_i386.deb
  to pool/main/n/ncurses/libncursesw5_5.3.20030719-3_i386.deb
ncurses-base_5.3.20030719-3_all.deb
  to pool/main/n/ncurses/ncurses-base_5.3.20030719-3_all.deb
ncurses-bin_5.3.20030719-3_i386.deb
  to pool/main/n/ncurses/ncurses-bin_5.3.20030719-3_i386.deb
ncurses-term_5.3.20030719-3_all.deb
  to pool/main/n/ncurses/ncurses-term_5.3.20030719-3_all.deb
ncurses_5.3.20030719-3.diff.gz
  to pool/main/n/ncurses/ncurses_5.3.20030719-3.diff.gz
ncurses_5.3.20030719-3.dsc
  to pool/main/n/ncurses/ncurses_5.3.20030719-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 215805@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Jacobowitz <dan@debian.org> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 20 Oct 2003 23:01:41 -0400
Source: ncurses
Binary: ncurses-bin libncursesw5-dev ncurses-base ncurses-term libncursesw5 libncurses5-dbg libncurses5 lib64ncurses5 libncurses5-dev libncursesw5-dbg lib64ncurses5-dev
Architecture: source i386 all
Version: 5.3.20030719-3
Distribution: unstable
Urgency: low
Maintainer: Daniel Jacobowitz <ncurses-maint@debian.org>
Changed-By: Daniel Jacobowitz <dan@debian.org>
Description: 
 libncurses5 - Shared libraries for terminal handling
 libncurses5-dbg - Debugging/profiling libraries for ncurses
 libncurses5-dev - Developer's libraries and docs for ncurses
 libncursesw5 - Shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - Debugging/profiling libraries for ncurses
 libncursesw5-dev - Developer's libraries for ncursesw
 ncurses-base - Descriptions of common terminal types
 ncurses-bin - Terminal-related programs and man pages
 ncurses-term - Additional terminal type definitions
Closes: 215805 215806
Changes: 
 ncurses (5.3.20030719-3) unstable; urgency=low
 .
   * Apply patch from Thomas Dickey for a problem with the dl1 capability
     (Closes: #215805).
   * Cross-compile when building 64-bit libraries, since the S/390 build
     systems can not run s390x executables.
   * Correct a comment typo (Closes: #215806).
Files: 
 92521faab2446a950043f5cec325c8a1 810 libs standard ncurses_5.3.20030719-3.dsc
 939b52cd143dc38f37778878a491b3bd 29578 libs standard ncurses_5.3.20030719-3.diff.gz
 d89d3c93154a2bec15460d31e3f89f7b 268936 base required libncurses5_5.3.20030719-3_i386.deb
 25ff196909ebaa072ad5b77a859be387 1028590 libdevel optional libncurses5-dev_5.3.20030719-3_i386.deb
 3e7d9e0230eec59166393220c179d20b 3977528 libdevel extra libncurses5-dbg_5.3.20030719-3_i386.deb
 121e2da8cd7eec243f67fcebfdacc23b 280732 libs optional libncursesw5_5.3.20030719-3_i386.deb
 c0673be8a8afa4fe677219e1b126d134 388726 libdevel optional libncursesw5-dev_5.3.20030719-3_i386.deb
 20e1acb51b99a990e4962cc7cd693fca 4069378 libdevel extra libncursesw5-dbg_5.3.20030719-3_i386.deb
 f8f3761a8423ef97312819a0234bfd68 204742 base required ncurses-bin_5.3.20030719-3_i386.deb
 766c09deb965849632a8efda56f51214 10372 base required ncurses-base_5.3.20030719-3_all.deb
 5f775fef7eb0cd18fe1225a601a9832e 269612 admin standard ncurses-term_5.3.20030719-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQE/lTrvbgOPXuCjg3cRAlXSAJ9FMxB1sAK1QYO18GcQf9j2DaNQpACgxiz1
yy3VKMLL338TsOd57je7KBM=
=4NnI
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:35:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.